package info.bukova.isspst.services.signeddocs;

import info.bukova.isspst.data.DataModel;
import info.bukova.isspst.data.SignedDocument;
import info.bukova.isspst.data.SignedDocumentItem;
import info.bukova.isspst.services.Service;

public interface SignedDocumentService extends Service<SignedDocument> {

	SignedDocument getForEntity(DataModel entity);
	SignedDocumentItem getItem(DataModel entity, long reportId);
	void addFromApprove(SignedDocument document);

}
